#include "gp/algorithms/tmp_manip.hpp"
#include "test_scaffold.h"


struct max_size_test : public test_scaffold {
	uint32_t seed;

	max_size_test() {
		name = __FILE__ ":1";
	}

	virtual int run() {
		return gp::max_size<uint32_t, uint64_t, int8_t>() != 8;
	}
};

append_test dummy_lfhz1r43(new max_size_test{});

struct fixed_size_test : public test_scaffold {
	uint32_t seed;

	fixed_size_test() {
		name = __FILE__ ":1";
	}

	virtual int run() {
		return !(gp::is_fixed_size<uint32_t>() && gp::is_fixed_size<double>() && !gp::is_fixed_size<std::string>());
	}
};

append_test dummy_sjuige443(new fixed_size_test{});